Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# OldClientRepository Class Reference

Inheritance diagram for OldClientRepository:

List of all members.

## Public Member Functions
def | __init__
def | createWithRequired
def | generateWithRequiredFields
def | handleDatagram
def | handleGenerateWithRequired
def | handleRequestGenerates
def | handleSetDOIDrange
def | haveCreateAuthority
def | isLocalId
def | sendDeleteMsg
def | sendDisableMsg
def | sendRemoveZoneMsg
def | sendSetZoneMsg
def | sendUpdateZone
## Public Attributes
| DOIDbase
| DOIDlast
| DOIDnext
## Static Public Attributes
tuple | notify = DirectNotifyGlobal.directNotify.newCategory("ClientRepository")

## Detailed Description

    This is the open-source ClientRepository as provided by CMU.  It
    communicates with the ServerRepository in this same directory.

    If you are looking for the VR Studio's implementation of the
    client repository, look to OTPClientRepository (elsewhere).

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | dcFileNames = `None`
| ) |  |

## Member Function Documentation

def createWithRequired | ( |  | self,
|  |  | className,
|  |  | zoneId = `0`,
|  |  | optionalFields = `None`
| ) |  |

def generateWithRequiredFields | ( |  | self,
|  |  | dclass,
|  |  | doId,
|  |  | di
| ) |  |

def handleDatagram | ( |  | self,
|  |  | di
| ) |  |

def handleGenerateWithRequired | ( |  | self,
|  |  | di
| ) |  |

def handleRequestGenerates | ( |  | self,
|  |  | di
| ) |  |

def handleSetDOIDrange | ( |  | self,
|  |  | di
| ) |  |

def haveCreateAuthority | ( |  | self | ) |

def isLocalId | ( |  | self,
|  |  | id
| ) |  |

Reimplemented from ClientRepositoryBase.

def sendDeleteMsg | ( |  | self,
|  |  | doId
| ) |  |

def sendDisableMsg | ( |  | self,
|  |  | doId
| ) |  |

def sendRemoveZoneMsg | ( |  | self,
|  |  | zoneId,
|  |  | visibleZoneList = `None`
| ) |  |

def sendSetZoneMsg | ( |  | self,
|  |  | zoneId,
|  |  | visibleZoneList = `None`
| ) |  |

def sendUpdateZone | ( |  | self,
|  |  | obj,
|  |  | zoneId
| ) |  |

## Member Data Documentation

DOIDbase

DOIDlast

DOIDnext

tuple notify = DirectNotifyGlobal.directNotify.newCategory("ClientRepository")`[static]`

Reimplemented from ClientRepositoryBase.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties